Bug 1537792 - dpkg: directory traversal via /DEBIAN symlink
Summary: dpkg: directory traversal via /DEBIAN symlink
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20171027,reported=2...
Depends On: 1537793 1537794
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-23 21:51 UTC by Laura Pardo
Modified: 2019-06-08 22:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-25 06:50:13 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-01-23 21:51:18 UTC
A flaw was found dpkg which allows an attacker to perform a directory traversal by extracting with "dpkg-deb --raw-extract" a crafted .deb file with a /DEBIAN symlink 

Reference:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=879982

Patch:
https://anonscm.debian.org/cgit/dpkg/dpkg.git/diff/?id=5003d76

Comment 1 Laura Pardo 2018-01-23 21:51:46 UTC
Created dpkg tracking bugs for this issue:

Affects: epel-all [bug 1537794]
Affects: fedora-all [bug 1537793]


Note You need to log in before you can comment on or make changes to this bug.